Skip to main content
`Ctrl`+`K`

# scipy.special.tandg

scipy.special.tandg(x, out=None) = <ufunc 'tandg'>

  Tangent of angle x given in degrees.

  Parameters:
    x array_like

      Angle, given in degrees.

    out ndarray, optional

      Optional output array for the function results.

  Returns:
    scalar or ndarray

      Tangent at the input.

  See also

  `sindg`, `cosdg`, `cotdg`

  Examples

      >>> import numpy as np
      >>> import scipy.special as sc

  It is more accurate than using tangent directly.

      >>> x = 180 * np.arange(3)
      >>> sc.tandg(x)
      array([0., 0., 0.])
      >>> np.tan(x * np.pi / 180)
      array([ 0.0000000e+00, -1.2246468e-16, -2.4492936e-16])